package cn.com.qmth.examcloud.core.basic.api.controller;

import java.util.Collections;

import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.util.DateUtil;
import cn.com.qmth.examcloud.web.support.ControllerSupport;

/**
 * 测试状态.勿修改或删除
 *
 * @author WANGWEI
 * @date 2018年8月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@RestController
@RequestMapping("${$rmp.ctr.basic}")
public class TestController extends ControllerSupport {

	@RequestMapping(value = {"/", ""}, method = RequestMethod.GET)
	public String get() {
		return DateUtil.chinaNow();
	}

	@RequestMapping(value = {"/", ""}, method = RequestMethod.HEAD)
	public ResponseEntity<?> head() {
		return new ResponseEntity<Object>(HttpStatus.NO_CONTENT);
	}

	@RequestMapping(value = {"/", ""}, method = RequestMethod.OPTIONS)
	public HttpEntity<?> options() {
		HttpHeaders headers = new HttpHeaders();
		headers.setAllow(Collections.singleton(HttpMethod.GET));
		return new ResponseEntity<Object>(headers, HttpStatus.OK);
	}

	@RequestMapping(value = {"/", ""}, method = RequestMethod.POST)
	public String post() {
		return DateUtil.chinaNow();
	}

	@RequestMapping(value = {"/", ""}, method = RequestMethod.PUT)
	public String put() {
		return DateUtil.chinaNow();
	}

	@RequestMapping(value = {"/", ""}, method = RequestMethod.DELETE)
	public String delete() {
		return DateUtil.chinaNow();
	}

}
