package cn.com.qmth.examcloud.core.basic.api.controller;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.basic.service.VerifyCodeService;
import cn.com.qmth.examcloud.core.basic.service.bean.VerifyCodeLoginInfo;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import cn.com.qmth.examcloud.web.support.Naked;
import cn.com.qmth.examcloud.web.support.StatusResponseX;
import cn.com.qmth.examcloud.web.support.WithoutStackTrace;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * 验证码相关接口
 */
@RestController
@Api(tags = "验证码相关接口")
public class VerifyCodeController extends ControllerSupport {

    @Autowired
    private VerifyCodeService verifyCodeService;

    @Naked
    @ApiOperation(value = "验证码生成接口")
    @PostMapping(value = "/api/ecs_core/verifyCode/generate")
    public String generate(@RequestParam Long rootOrgId, @RequestParam String accountValue) {
        return verifyCodeService.verifyCodeGenerate(rootOrgId, accountValue);
    }

    @Naked
    @WithoutStackTrace
    @ApiOperation(value = "验证码登录接口")
    @PostMapping(value = "/api/ecs_core/verifyCode/login")
    public StatusResponseX<User> login(@RequestBody VerifyCodeLoginInfo info, HttpServletRequest request) {
        String ip = request.getHeader("x-forwarded-for");
        if (StringUtils.isBlank(ip)) {
            ip = request.getHeader("x-real-ip");
        }
        if (StringUtils.isNotBlank(ip)) {
            info.setClientIp(ip);
        }

        setAlwaysOKResponse();
        User user = verifyCodeService.verifyCodeLogin(info);
        return new StatusResponseX<>(user);
    }

    @Naked
    @ApiOperation(value = "Resource接口")
    @GetMapping(value = {"/resource.js"})
    public void resource(@RequestParam String u) {
        verifyCodeService.verifyCodeResource(u);
    }

}