package cn.com.qmth.examcloud.core.basic.dao.entity;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * 登录规则（白名单）
 */
@Entity
@Table(name = "ec_b_login_rule", indexes = {@Index(name = "IDX_B_LR_010001", columnList = "rootOrgId")})
public class LoginRuleEntity extends JpaEntity {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 顶级机构
     */
    @Column(nullable = false)
    private Long rootOrgId;

    /**
     * 是否白名单
     */
    @Column(nullable = false)
    private Boolean white;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Boolean getWhite() {
        return white;
    }

    public void setWhite(Boolean white) {
        this.white = white;
    }
}