package cn.com.qmth.examcloud.core.basic.service;

import java.io.File;
import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.core.basic.dao.entity.OrgEntity;
import cn.com.qmth.examcloud.core.basic.service.bean.OrgInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface OrgService {

	/**
	 * 保存顶级机构
	 *
	 * @author WANGWEI
	 * @param orgInfo
	 * @return
	 */
	OrgEntity saveRootOrg(OrgInfo orgInfo);

	/**
	 * 保存子机构
	 *
	 * @author WANGWEI
	 * @param orgInfo
	 * @return
	 */
	OrgEntity saveSubOrg(OrgInfo orgInfo);

	/**
	 * 保存机构属性
	 *
	 * @author WANGWEI
	 * @param orgId
	 * @param properties
	 */
	void saveOrgProperties(Long orgId, Map<String, String> properties);

	/**
	 * 导入子机构
	 *
	 * @author WANGWEI
	 * @param rootOrgId
	 * @param file
	 * @return
	 */
	public List<Map<String, Object>> importSubOrg(Long rootOrgId, File file);

}
